## com.imcode.imcms.api
Enum DocumentVersionTag

    java.lang.Object
      java.lang.Enum<DocumentVersionTag>
          com.imcode.imcms.api.DocumentVersionTag

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<DocumentVersionTag>

    public enum DocumentVersionTag

extends java.lang.Enum<DocumentVersionTag>

Document version tags. For every document there might be - at most one WORKING version - at most one PUBLISHED version - unlimited numbers of CANCELLED versions - unlimited numbers of ARCHUVED versions

Enum Constant Summary
`ARCHIVED`
`CANCELLED`
`PUBLISHED`
`WORKING`

Method Summary
`static DocumentVersionTag` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DocumentVersionTag[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### WORKING

    public static final DocumentVersionTag WORKING

### CANCELLED

    public static final DocumentVersionTag CANCELLED

### PUBLISHED

    public static final DocumentVersionTag PUBLISHED

### ARCHIVED

    public static final DocumentVersionTag ARCHIVED

Method Detail

### values

    public static final DocumentVersionTag[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(DocumentVersionTag c : DocumentVersionTag.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static DocumentVersionTag valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name